---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach015Agent01.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x593B0, symBinAddr: 0x7210, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5B2F0, symBinAddr: 0x9150, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5B6E0, symBinAddr: 0x9540, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5C680, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5C690, symBinAddr: 0xA4F0, symSize: 0x0 }
  - { offsetInCU: 0x8DDA, offset: 0x8DDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59010, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x8DE5, offset: 0x8DE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59014, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0x8DF0, offset: 0x8DF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59018, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0x8E35, offset: 0x8E35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59160, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x59218, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8EC0, offset: 0x8EC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5921C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0x8ED9, offset: 0x8ED9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x59220, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8EF2, offset: 0x8EF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x59224, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0x8F0B, offset: 0x8F0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x59228, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x8F24, offset: 0x8F24, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x59230, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8FAD, offset: 0x8FAD, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x59240, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x8FC6, offset: 0x8FC6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x59248, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8FDF, offset: 0x8FDF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x59250, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x59258, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x9011, offset: 0x9011, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x59260, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x902B, offset: 0x902B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x59268, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x9111, offset: 0x9111, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x592AC, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x592B0, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x592B8, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x915C, offset: 0x915C, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x592C0, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9175, offset: 0x9175, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x592D0, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x918E, offset: 0x918E, size: 0x8, addend: 0x0, symName: __ZL19receivedEventsCount, symObjAddr: 0x592D8, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x91A7, offset: 0x91A7, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x592E0, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x91F9, offset: 0x91F9, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x10E0, symSize: 0x80 }
  - { offsetInCU: 0x928E, offset: 0x928E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1030, symSize: 0xB0 }
  - { offsetInCU: 0x92E9, offset: 0x92E9, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xF30, symSize: 0x100 }
  - { offsetInCU: 0x957C, offset: 0x957C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1160, symSize: 0x220 }
  - { offsetInCU: 0x9761, offset: 0x9761, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1380, symSize: 0xA0 }
  - { offsetInCU: 0x9814, offset: 0x9814, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1420, symSize: 0x110 }
  - { offsetInCU: 0x990A, offset: 0x990A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1530, symSize: 0x150 }
  - { offsetInCU: 0x9A67, offset: 0x9A67, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1680, symSize: 0x30 }
  - { offsetInCU: 0x9B48, offset: 0x9B48, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x16B0, symSize: 0x150 }
  - { offsetInCU: 0x9D40, offset: 0x9D40, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1800, symSize: 0x160 }
  - { offsetInCU: 0x9EE0, offset: 0x9EE0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1960, symSize: 0x1B0 }
  - { offsetInCU: 0xA0FB, offset: 0xA0FB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1B10, symSize: 0xA0 }
  - { offsetInCU: 0xA1CA, offset: 0xA1CA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1BB0, symSize: 0x20 }
  - { offsetInCU: 0xA201, offset: 0xA201, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1BD0, symSize: 0x20 }
  - { offsetInCU: 0xA238, offset: 0xA238, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1BF0, symSize: 0x20 }
  - { offsetInCU: 0xA3A7, offset: 0xA3A7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1C10, symSize: 0x1A0 }
  - { offsetInCU: 0xA6C3, offset: 0xA6C3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1DB0, symSize: 0x150 }
  - { offsetInCU: 0xA878, offset: 0xA878, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1F00, symSize: 0x80 }
  - { offsetInCU: 0xA941, offset: 0xA941, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1F80, symSize: 0x6C0 }
  - { offsetInCU: 0xB4B7, offset: 0xB4B7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB4C0, symBinAddr: 0x3A70, symSize: 0xB0 }
  - { offsetInCU: 0xB52E, offset: 0xB52E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2640, symSize: 0x70 }
  - { offsetInCU: 0xB602, offset: 0xB602, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x26B0, symSize: 0xA0 }
  - { offsetInCU: 0xB70D, offset: 0xB70D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2750, symSize: 0x40 }
  - { offsetInCU: 0xB803, offset: 0xB803, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2790, symSize: 0x2B0 }
  - { offsetInCU: 0xBBA9, offset: 0xBBA9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2A40, symSize: 0xC0 }
  - { offsetInCU: 0xBCEF, offset: 0xBCEF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2B00, symSize: 0x10 }
  - { offsetInCU: 0xBDB1, offset: 0xBDB1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2B10, symSize: 0x240 }
  - { offsetInCU: 0xC09A, offset: 0xC09A, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9D40, symBinAddr: 0x2D50, symSize: 0x150 }
  - { offsetInCU: 0xC15D, offset: 0xC15D, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9E90, symBinAddr: 0x2EA0, symSize: 0x3C0 }
  - { offsetInCU: 0xC496, offset: 0xC496, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA330, symBinAddr: 0x3260, symSize: 0xF0 }
  - { offsetInCU: 0xC5C8, offset: 0xC5C8, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA420, symBinAddr: 0x3350, symSize: 0x2C0 }
  - { offsetInCU: 0xC927, offset: 0xC927, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6E0, symBinAddr: 0x3610, symSize: 0xB0 }
  - { offsetInCU: 0xC98E, offset: 0xC98E, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA790, symBinAddr: 0x36C0, symSize: 0x230 }
  - { offsetInCU: 0xCC47, offset: 0xCC47, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xAEA0, symBinAddr: 0x38F0, symSize: 0x180 }
  - { offsetInCU: 0xCE7E, offset: 0xCE7E, size: 0x8, addend: 0x0, symName: _classLoadHandler, symObjAddr: 0xC090, symBinAddr: 0x3B20, symSize: 0x1D0 }
  - { offsetInCU: 0xD0EE, offset: 0xD0EE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC260, symBinAddr: 0x3CF0, symSize: 0x310 }
  - { offsetInCU: 0xD4BE, offset: 0xD4BE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC570, symBinAddr: 0x4000, symSize: 0x36A }
...
